package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuApprovalsManagerInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractFeishuApprovalsManagerInfo()
    {
        this("id");
    }
    protected AbstractFeishuApprovalsManagerInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 审批流程管理员 's null property 
     */
    public FeishuApprovalsInfo getParent()
    {
        return (FeishuApprovalsInfo)get("parent");
    }
    public void setParent(FeishuApprovalsInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 审批流程管理员 's 管理员 property 
     */
    public com.kingdee.eas.base.permission.UserInfo getManagerUser()
    {
        return (com.kingdee.eas.base.permission.UserInfo)get("managerUser");
    }
    public void setManagerUser(com.kingdee.eas.base.permission.UserInfo item)
    {
        put("managerUser", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("5D642406");
    }
}